<!--INICIO  construccion del select con las -->
<?php
  //==============================consulta tipo de consulta
  //====================================================================== 
  include("conexionOdo.php");
  $query="SELECT * FROM SIME_BAS_TIPO_CONSULTA WHERE historia = 'O'";
  $result = mysql_query($query) or die('Consulta de tipo de consulta fallida: ' . mysql_error());
  $i=0;
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC))
  {
    if ($i==0)
      {
        $comboTipo .=" <option value=''>".''."</option>";
      }
    //  else
    //  {  
        $comboTipo .=" <option value='".$line['codTipoConsulta']."'>".$line['codTipoConsulta']."  |  ".$line['tipoConsulta']."</option>"; 
    //  }
    $i++; 
  }
  // Liberar resultados
  mysql_free_result($result);
  
  $query="SELECT * FROM SIME_BAS_TIPO_CONSULTA WHERE historia = 'O'";
  $result = mysql_query($query) or die('Consulta de tipo de consulta fallida: ' . mysql_error());
  $i=0;
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC))
  {
    if ($i==0)
      {
        $comboTipo1 .=" <option value=''>".''."</option>";
      }
    //  else
    //  {  
        $comboTipo1 .=" <option value='".$line['codTipoConsulta']."  |  ".$line['tipoConsulta']."'>".$line['codTipoConsulta']."  |  ".$line['tipoConsulta']."</option>"; 
    //  }
    $i++; 
  }
  // Liberar resultados
  mysql_free_result($result);

 
  
  //============================== consulta causa externa
  //======================================================================
  $query ="SELECT * from SIME_CAUSA_EXT";
  $result = mysql_query($query) or die('Consulta de causa externa fallida: ' . mysql_error());
  
  $i=0;
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
      if ($i==0)
      {
        $comboCausa .=" <option value=''>".''."</option>";
      }
    //  else
    //  {  
        $comboCausa .=" <option value='".$line['id']."'>".$line['id']."  |  ".$line['origen']."</option>"; 
    //  }
    $i++;  
  }
  // Liberar resultados
  mysql_free_result($result);
  
  $query ="SELECT * from SIME_CAUSA_EXT";
  $result = mysql_query($query) or die('Consulta de causa externa fallida: ' . mysql_error());
  
  $i=0;
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
      if ($i==0)
      {
        $comboCausa1 .=" <option value=''>".''."</option>";
      }
    //  else
    //  {  
        $comboCausa1 .=" <option value='".$line['id']."  |  ".$line['origen']."'>".$line['id']."  |  ".$line['origen']."</option>"; 
    //  }
    $i++;  
  }
  // Liberar resultados
  mysql_free_result($result);
 
  //============================== consulta entidad administradora
  //======================================================================
  $query ="SELECT * from SIME_ENT_ADMIN";
  $result = mysql_query($query) or die('Consulta de entidad administradora fallida: ' . mysql_error());
 
  $i=0;
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
    
     if ($i==0)
      {
        $comboEntidad .=" <option value=''>".''."</option>"; 
      }
     // else
     // {   
       $comboEntidad .=" <option value='".$line['codigo']."'>".$line['codigo']."  |  ".$line['nomEps']."</option>"; 
     // }
      $i++;
  }
  
  $query ="SELECT * from SIME_ENT_ADMIN";
  $result = mysql_query($query) or die('Consulta de entidad administradora fallida: ' . mysql_error());
 
  $i=0;
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
    
     if ($i==0)
      {
        $comboEntidad1 .=" <option value=''>".''."</option>"; 
      }
     // else
     // {   
       $comboEntidad1 .=" <option value='".$line['codigo']."  |  ".$line['nomEps']."'>".$line['codigo']."  |  ".$line['nomEps']."</option>"; 
     // }
      $i++;
  }

//============================== consulta usuarios
//======================================================================  
  // consulta usuarios
  $query = "SELECT * FROM `SIME_BAS_N_USUARIOS` WHERE `codPerfil` = 'M' ";   
  $result = mysql_query($query) or die('Consulta de medicos fallida: ' . mysql_error());
  $i=0; 
  $comboMedicos="";
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) 
  {
     if ($i==0)
     {
       $comboMedicos .=" <option value='TODOS'>".'TODOS'."</option>"; 
     }
     $comboMedicos .=" <option value='".$line['idUsuario']."'>".$line['nomUsuario']." ".$line['apell1Usuario']." ".$line['apell2Usuario']. "</option>"; 
     
     $i++; 
   }
   // Liberar resultados
   mysql_free_result($result);


//============================== consulta odontologos
//======================================================================  
  // consulta usuarios
  $query = "SELECT * FROM `SIME_BAS_N_USUARIOS` WHERE `codPerfil` = 'O' ";   
  $result = mysql_query($query) or die('Consulta de odontologos fallida: ' . mysql_error());
  $i=0; 
  $comboOdontologos="";
  while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) 
  {
     if ($i==0)
     {
       $comboOdontologos .=" <option value=''>".''."</option>"; 
     }
     $comboOdontologos .=" <option value='".$line['idUsuario']."'>".$line['nomUsuario']." ".$line['apell1Usuario']." ".$line['apell2Usuario']. "</option>"; 
     
     $i++; 
   }
   // Liberar resultados
   mysql_free_result($result);

//============================== consulta dientes
//============================== consulta dientes
//======================================================================  

  $query="SELECT * FROM SIO_DIENTES";
   $result = mysql_query($query) or die('Consulta de dientes fallida: ' . mysql_error());
   $i=0;
   while ($line = mysql_fetch_array($result, MYSQL_ASSOC))
   {
    if ($i==0)
       {
        $comboDiente .=" <option value=''>".''."</option>";
      }
    //  else
    //  {  
        $comboDiente .=" <option value='".$line['numDiente']. " | ".$line['caraDiente']."'>".$line['numDiente']. " | ".$line['caraDiente']."</option>"; 
    //  }
    $i++; 
  }
  // Liberar resultados
  mysql_free_result($result);
  

//============================== consulta especialidades
//======================================================================  

   $query="SELECT * FROM SIO_LIS_TRAT ORDER by codTratamiento";
   $result = mysql_query($query) or die('Consulta de tratamiento fallida: ' . mysql_error());
   $i=0;
   while ($line = mysql_fetch_array($result, MYSQL_ASSOC))
   {
    if ($i==0)
       {
        $comboTratamiento .=" <option value=''>".''."</option>";
      }
    //  else
    //  {  
        $comboTratamiento .=" <option value='".$line['codTratamiento']."'>". $line['desTratamiento']."</option>";
    //  }
    $i++; 
  }
  // Liberar resultados
  mysql_free_result($result);
  
//============================== consulta diagnosticos
//======================================================================  

   $query="SELECT * FROM SIO_CIE10 ORDER by codCie10";
   $result = mysql_query($query) or die('Consulta de diagnosticos fallida: ' . mysql_error());
   $i=0;
   while ($line = mysql_fetch_array($result, MYSQL_ASSOC))
   {
    if ($i==0)
       {
        $comboCie10 .=" <option value=''>".''."</option>";
      }
    //  else
    //  {  
        $comboCie10 .=" <option value='".$line['codCie10']."'>". $line['nomCie10']."</option>";
    //  }
    $i++; 
  }
  // Liberar resultados
  mysql_free_result($result);
  
  //============================== consulta procedimientos
//======================================================================  

   $query="SELECT * FROM SIO_PROC_POS ORDER by cups";
   $result = mysql_query($query) or die('Consulta de procedimientos fallida: ' . mysql_error());
   $i=0;
   while ($line = mysql_fetch_array($result, MYSQL_ASSOC))
   {
    if ($i==0)
       {
        $comboCups .=" <option value=''>".''."</option>";
      }
    //  else
    //  {  
        $comboCups .=" <option value='".$line['cups']."'>". $line['descripcion']."</option>";
    //  }
    $i++; 
  }
  // Liberar resultados
  mysql_free_result($result);

  // Cerrar la conexion
  mysql_close($link);
  
?>
   